Robotsystem of the Robot Group Leipzig: PassiveMesh Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PassiveMesh Class Reference

(Passive) mesh as obstacle More...

`#include <passivemesh.h>`

Inherits AbstractObstacle.

Inheritance diagram for PassiveMesh:

[legend]
Collaboration diagram for PassiveMesh:

[legend]
List of all members.

## Public Member Functions
| PassiveMesh (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const std::string &filename, double scale=1.0, double mass=1.0)
| Constructor.
| ~PassiveMesh ()
virtual void | update ()
| update position of mesh
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual Primitive * | getMainPrimitive () const
| return the "main" primitive of the obtactle. The meaning of "main" is arbitrary
## Protected Member Functions
virtual void | create ()
| overload this function to create the obstactle. All primitives should go into the list "obst"
virtual void | destroy ()
| is called to destroy the object. The default implementation is to delete all primitives in "obst".

## Detailed Description

(Passive) mesh as obstacle

## Constructor & Destructor Documentation

PassiveMesh | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const std::string & | filename,
|  | double | scale = `1.0`,
|  | double | mass = `1.0` |
| ) |  |  | `[inline]`

Constructor.

~PassiveMesh | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

overload this function to create the obstactle. All primitives should go into the list "obst"

Implements AbstractObstacle.

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

is called to destroy the object. The default implementation is to delete all primitives in "obst".

Reimplemented from AbstractObstacle.

virtual Primitive* getMainPrimitive | ( |  | ) | const`[inline, virtual]`

return the "main" primitive of the obtactle. The meaning of "main" is arbitrary

Implements AbstractObstacle.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

sets position of the obstacle and creates/recreates obstacle if necessary

Implements AbstractObstacle.

virtual void update | ( |  | ) | `[inline, virtual]`

update position of mesh

Reimplemented from AbstractObstacle.

The documentation for this class was generated from the following file:

- passivemesh.h